Skip to main content
GET
/
credit-applications
/
{credit_application_id}
Get credit application
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "credit_application_type": "credit_terms",
  "forwarder": {
    "id": "<string>",
    "name": "<string>",
    "email": "jsmith@example.com"
  },
  "shipper": {
    "id": "<string>",
    "name": "<string>",
    "email": "jsmith@example.com"
  },
  "status": "pending",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "expires_at": "2025-01-02T12:00:00.123456",
  "data": {
    "details": {
      "annual_revenue": 123,
      "credit_amount": 123,
      "currency": "<string>",
      "payment_terms": "<string>",
      "freight_spend": 123,
      "purpose": "Purchase of example goods"
    },
    "trade_profile": {
      "shipping_routes": [
        "<string>"
      ],
      "trade_types": [
        "import"
      ],
      "avg_shipment_value": 123
    },
    "trade_profile_document": {
      "filename": "<string>"
    },
    "security_compliance": [
      {
        "title": "<string>",
        "other": true,
        "description": "A formal agreement outlining the terms and remedies in case of non-payment"
      }
    ]
  },
  "extra_details": {
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "proposed_amount": 60000,
    "proposed_terms": "Net 45"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

credit_application_id
string<uuid>
required

Unique identifier of the credit application

Example:

"b2a9f8d3-7b7d-4c1b-a2a1-9c2d0b123456"

Response

Successful Response

id
string<uuid>
required

Unique identifier of the credit application

Example:

"b2a9f8d3-7b7d-4c1b-a2a1-9c2d0b123456"

credit_application_type
enum<string>
required

Type of credit application

Available options:
credit_terms,
trade_finance,
factoring
forwarder
CreditApplicationOrganization · object
required

Organization that is part of the credit application

shipper
CreditApplicationOrganization · object
required

Organization that is part of the credit application

status
enum<string>
required

Current status of the credit application

Available options:
pending,
internal_review,
external_review,
needs_action,
approved,
finalized,
declined,
rejected,
expired,
sign_document_created,
sign_document_in_progress,
sign_document_completed,
sign_document_expired,
sign_document_canceled,
sign_document_declined,
sign_document_process_failed
created_at
string<date-time>
required

Timestamp when the credit application was created

Example:

"2025-01-01T12:00:00.123456"

updated_at
string<date-time>
required

Timestamp when the credit application was last updated

Example:

"2025-01-02T12:00:00.123456"

expires_at
string<date-time> | null
required

Timestamp when the credit application will expire

Example:

"2025-01-02T12:00:00.123456"

data
CreditTermsData · object
required
extra_details
RetrieveCreditApplicationPostApprovalChange · object